@import url("https://fonts.googleapis.com/css2?family=Montserrat:wght@700&family=Public+Sans:wght@300&family=Roboto:wght@300;400&family=Work+Sans&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Montserrat:wght@700&family=Public+Sans:wght@300&family=Roboto:wght@300;400&family=Source+Sans+Pro:wght@300&display=swap");

* {
  margin: 0vh;
  padding: 0vh;
}
.nav-container {
  height: 7vh;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.left-side {
  font-weight: 400;
}

.left-side a {
  text-decoration: none;
  color: rgb(56, 55, 55);
}

.left-side a:hover {
  color: rgb(97, 96, 96);
}

.right-side {
  display: flex;
  font-weight: 400;
}

.right-side ul {
  display: flex;
}
.left-side ul {
  display: flex;
}

.announcement {
  height: 2vh;
  background-color: rgb(112, 118, 118);
  color: white;
  text-align: center;
  font-size: small;

  padding: 1.5vh;
  color: white;
}

.right-side li {
  padding: 1vh;
  text-decoration: none;
  color: rgb(56, 55, 55);
  list-style: none;
}

.right-side li:hover {
  color: rgb(97, 96, 96);
}

.left-side li {
  padding: 1.5vh;
  text-decoration: none;
  list-style: none;
  color: rgb(56, 55, 55);
}
.rightborder {
  border-right: 1px solid rgb(97, 96, 96);
}

.first {
  font-size: 8vh;
}

.second {
  font-size: 5.5vh;
}

.rest {
  font-size: 4vh;
}

.home-header {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.home-nav ul {
  display: flex;
  list-style: none;
}
.home-nav {
  display: flex;
  justify-content: center;
}
.home-nav li {
  padding: 3vh;
  color: rgb(56, 55, 55);
  cursor: pointer;
}

.home-nav-prod ul {
  display: flex;
  justify-content: center;
  list-style: none;
}

.all-prod {
  font-family: "Montserrat", sans-serif;
  margin-left: 5vh;
  font-size: 3vh;
  color: rgb(97, 96, 96);
}

.home-nav-prod li {
  padding: 3vh;
  color: rgb(56, 55, 55);
  cursor: pointer;
}
.link {
  color: rgb(56, 55, 55);
  text-decoration: none;
  font-weight: 450;
}

.link:hover {
  color: rgb(97, 96, 96);
}
.backgroundImage {
  margin: 0vh auto;
  height: 80vh;
  width: 80vw;

  background: url("https://images.saymedia-content.com/.image/ar_4:3%2Cc_fill%2Ccs_srgb%2Cfl_progressive%2Cq_auto:eco%2Cw_1200/MTc0MjU4Njk3MTcyNjkwNDI4/how-to-soften-a-new-t-shirt.jpg");
  opacity: 0.9;
  margin-bottom: 10vh;
}

.sale-offer {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  border: 8px solid rgb(29, 28, 28);
  height: 38vh;
  width: 32%;
  /* background-color: grey; */
  margin-left: 10vh;
  position: absolute;
  bottom: 8vh;
}

.header {
  font-size: 8vh;
  font-family: "Montserrat", sans-serif;
  color: rgb(41, 40, 40);
}
.percentage {
  font-size: 3vh;
  font-family: "Montserrat", sans-serif;
  letter-spacing: 0.8vh;
  color: rgb(41, 40, 40);
}

.content {
  width: 80vw;
  text-align: center;
  margin: 0 auto;
  font-weight: normal;
  color: rgb(82, 80, 80);
  font-family: "Montserrat", sans-serif;
  margin-bottom: 15vh;
}

.cart-btn {
  width: 8vw;
  /* margin-top: 1vh; */
  height: 4vh;
  border: 0.5px solid rgb(192, 190, 190);
  background-color: white;
  cursor: pointer;
  /* border: none; */
  /* box-shadow: 2px 2px 4px #888888; */
}

.cart-btn:hover {
  color: white;
  background-color: rgb(29, 28, 28);
}

.home-footer {
  border-top: 1px solid gray;
  display: flex;
  background-color: rgb(68, 32, 32);
  margin-bottom: 10vh;
}

.head {
  font-size: 4vh;
}

.para {
  background-color: brown;
}

.product-details {
  width: 30vw;
  height: 55vh;
  /* border: 2px solid black; */
}

.product-details {
  height: 58vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  align-content: center;
  box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
  margin-top: 3vh;

  margin: 4vh 1vh;
}

.image-product img {
  height: 38vh;
  width: 90%;
}

.product-title {
  margin-top: 0.9vh;
  font-size: 1.7vh;
  color: rgb(56, 55, 55);
  align-content: center;
  text-align: center;
}

.product-price {
  font-size: 1.5vh;
  color: rgb(56, 55, 55);
  font-weight: bold;
}

.categories-component {
  display: flex;
  /* flex-direction: column; */
  flex-wrap: wrap;
  justify-content: center;
  margin-bottom: 5vh;
}

.categories-men {
  height: 45vh;
  width: 40%;
  margin: 2vh;

  background: url("https://assets.myntassets.com/f_webp,h_560,q_90,w_420/v1/assets/images/productimage/2019/10/26/e327db60-12a2-4d81-a404-a81ac8c1ed291572062812112-1.jpg");
  background-size: cover;
  box-shadow: rgba(50, 50, 93, 0.25) 0px 6px 12px -2px,
    rgba(0, 0, 0, 0.3) 0px 3px 7px -3px;
}

.categories-women {
  height: 45vh;
  width: 40%;
  margin: 2vh;

  background: url("https://assets.ajio.com/medias/sys_master/images/images/hbd/h59/46564448436254/13012022-D-unisex-topbannercarousel-p1-ajioluxe-15on10000.jpg");
  background-size: cover;
  box-shadow: rgba(50, 50, 93, 0.25) 0px 6px 12px -2px,
    rgba(0, 0, 0, 0.3) 0px 3px 7px -3px;
}

.categories-jwellery {
  height: 45vh;
  width: 40%;
  margin: 2vh;
  background-size: cover;
  background: url("https://assets.myntassets.com/f_webp,w_196,c_limit,fl_progressive,dpr_2.0/assets/images/retaillabs/2020/8/21/bc36f35b-f5ce-4168-bd96-d3c1f65ec4e21598030134870-Content-mostselling-Accessories-Rosegoldwatch.jpeg");
  background-size: cover;
  box-shadow: rgba(50, 50, 93, 0.25) 0px 6px 12px -2px,
    rgba(0, 0, 0, 0.3) 0px 3px 7px -3px;
}

.categories-electronics {
  height: 45vh;
  width: 40%;
  margin: 2vh;
  background: url("https://rukminim1.flixcart.com/image/612/612/kjkbv680-0/headphone/q/x/h/hbs-fn6-lg-original-imafz3unexzggun6.jpeg?q=70");
  background-size: cover;

  box-shadow: rgba(50, 50, 93, 0.25) 0px 6px 12px -2px,
    rgba(0, 0, 0, 0.3) 0px 3px 7px -3px;
}

.whole-container {
  /* background-color: brown; */
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  margin-top: 0vh;
}

.categories-men h1 {
  text-align: center;
  justify-content: center;
  align-self: center;
  align-items: center;
}

.categories-women h1 {
  text-align: center;
  justify-content: center;
  align-self: center;
  align-items: center;
}

.extra {
  margin-top: 15vh;
  text-align: center;
  /* background-color: red; */
}

button {
  background-color: gray;
  color: rgb(29, 28, 28);
  /* color: white; */
  margin-top: 2vh;
  box-shadow: 2px 2px 4px #888888;
}

.extra button:hover {
  background-color: rgb(29, 28, 28);
  color: gray;
  /* color: rgb(29, 28, 28); */
  margin-top: 2vh;
  box-shadow: 2px 2px 4px #888888;
}

.categories-jwellery h1 {
  text-align: center;
  justify-content: center;
  align-self: center;
  align-items: center;
}
.categories-electronics h1 {
  text-align: center;
  justify-content: center;
  align-self: center;
  align-items: center;
}

.rating {
  display: flex;
  flex-direction: row;
  font-size: 1.6vh;
  color: rgb(56, 55, 55);
}

.rating span {
  font-weight: bold;
  font-size: 1.2vh;
}

.btn {
  height: 5vh;
  width: 10vw;
  cursor: pointer;
  background-color: white;
  color: rgb(29, 28, 28);
  /* color: white; */
  border: 0.5px solid black;
  margin-top: 3vh;
  box-shadow: 2px 2px 4px #888888;
}

.btn:hover {
  color: white;
  background-color: rgb(29, 28, 28);
}

.footer {
  display: flex;
  flex-direction: column;
  height: 25vh;
  justify-content: center;
  border-top: 1px solid rgb(29, 28, 28, 0.2);
  margin-top: 1vh;
}

.footer-left ul {
  display: flex;
  flex-direction: row;
}

.footer-right ul {
  display: flex;
  flex-direction: row;
}

.footer-container {
  display: flex;
  justify-content: space-around;
}

.footer-container .footer-left ul {
  display: flex;
  flex-direction: column;
}
.footer-container .footer-right ul {
  display: flex;
  flex-direction: column;
}

.footer-container li {
  list-style: none;
  padding: 1vh;
  color: rgb(56, 55, 55);
  font-size: 2vh;
}

.footer-para {
  margin-top: 2vh;
  align-self: center;
  margin-bottom: 2vh;
}

.footer-para span {
  color: rgb(56, 55, 55);
  font-size: 2.4vh;
}
.return-image,
.original {
  height: 5vh;
  width: 5vh;
}

.footer-center {
  display: flex;
  flex-direction: column;
}
.footer-center span {
  font-weight: 490;
  margin-bottom: 0.5vh;
  color: rgb(56, 55, 55);
  font-size: 2vh;
}
.about-container {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.about li {
  list-style: none;
  padding: 1.5vh;
  color: rgb(56, 55, 55);
}
.about-title {
  margin-top: 4vh;
  font-size: 5vh;
  font-family: "Montserrat", sans-serif;
  color: rgb(56, 55, 55);
}

.about-image {
  width: 60%;
}

.about-image img {
  width: 90%;
  height: 45vh;
}

.about-header {
  margin-top: 2vh;
  width: 80%;
}

.category-btn {
  height: 5vh;
  width: 10vw;
  cursor: pointer;
  background-color: rgb(7, 7, 7, 0.5);
  border: 0.5px solid rgb(116, 113, 113);
  color: white;
  margin-top: 3vh;
  /* box-shadow: 1px 1px 2px #888888; */
}
.achievement-container {
  margin: 4vh 1vh;
  text-align: center;
  font-size: 2.1vh;
  padding: 2vh;
}
.category-btn:hover {
  color: white;
  background-color: rgb(0, 0, 0);
}

.achievement {
  margin: 4vh 0vh;
  font-family: "Montserrat", sans-serif;
  text-align: center;
  font-size: 3vh;
  color: rgb(97, 96, 96);
}

@media screen and (max-width: 1024px) {
  .product-details {
    height: 50vh;
  }
  .image-product img {
    height: 27vh;
  }
  .header {
    font-size: 5vh;
  }
  .backgroundImage {
    background-size: cover;
  }
  .sale-offer {
    width: 40vw;
    bottom: 20vh;
  }
  .footer-para {
    font-size: 1.5vh;
  }

  .font-para span {
    font-size: 1.7vh;
  }
  .footer-center span {
    font-size: 1.5vh;
  }
  .about-image img {
    width: 100%;
    height: 30vh;
  }

  .cart-btn {
    width: 17vw;
    margin-top: 0.9vh;
  }
}

@media screen and(max-width:950px) {
  .header {
    font-size: 4vh;
  }
  .image-product img {
    height: 35vh;
    width: 85%;
  }
}

@media screen and (max-width: 830px) {
  .sale-offer {
    border: 8px solid rgb(29, 28, 28);
    height: 35vh;
    width: 45%;
    margin-left: 5vh;
    position: absolute;
    bottom: 20vh;
  }

  .backgroundImage {
    background-size: cover;
  }

  .header {
    font-size: 5vh;
  }
  .percentage {
    font-size: 3vh;
  }
  button,
  .btn,
  .category-btn {
    width: 25vw;
    height: 4vh;
  }

  .product-details {
    width: 40vw;
    margin-top: 5vh;
  }
  .categories-component {
    display: flex;
    /* flex-direction: column; */
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }
  .footer-container li {
    list-style: none;
    padding: 1vh;
    color: rgb(56, 55, 55);
    font-size: 1.5vh;
  }
  .all-prod {
    margin-left: 9vh;
  }

  .return-image,
  .original {
    height: 4vh;
    width: 4vh;
  }
  .categories-men,
  .categories-women,
  .categories-jwellery,
  .categories-electronics {
    width: 60%;
  }
  .footer-center span {
    font-size: 1.2vh;
  }
  .cart-btn {
    width: 25vw;
    margin-top: 0.9vh;
  }
  .about-image img {
    width: 100%;
    height: 25vh;
  }
}
@media screen and (max-width: 692px) {
  .sale-offer {
    border: 4px solid rgb(29, 28, 28);
    height: 30vh;
    width: 50%;
    margin-left: 4vh;
    position: absolute;
    bottom: 20vh;
  }

  .backgroundImage {
    background-size: cover;
  }

  .header {
    font-size: 4vh;
  }
  .percentage {
    font-size: 2vh;
  }
  .cart-btn,
  .category-btn {
    width: 30vw;
  }
  .product-details {
    width: 70vw;
    margin-top: 5vh;
  }
  .footer .para {
    font-size: 1vh;
  }

  .footer-para span {
    font-size: 2vh;
  }
  .all-prod {
    text-align: center;
  }
  .about-image img {
    width: 100%;
    height: 25vh;
  }
  .home-nav li {
    padding: 3vh;
  }
}

@media screen and (max-width: 400px) {
  .sale-offer {
    border: 4px solid rgb(29, 28, 28);
    height: 30vh;
    width: 50%;
    /* background-color: grey; */
    margin-left: 5vh;
    position: absolute;
    bottom: 20vh;
  }
  .cart-btn,
  .category-btn {
    width: 30vw;
    margin-top: 0.5vh;
  }

  .backgroundImage {
    background-size: cover;
  }

  .header {
    font-size: 4vh;
  }
  .percentage {
    font-size: 2vh;
  }
  button {
    width: 30vw;
  }

  .nav-container {
    height: 10vh;
    display: flex;
    justify-content: space-between;
    align-items: center;
  }

  .image-product img {
    height: 30vh;
    width: 100%;
  }
  .extra h1 {
    font-size: 3vh;
    margin-top: 2vh;
  }
  .categories-men,
  .categories-women,
  .categories-jwellery,
  .categories-electronics {
    width: 75%;
  }

  .footer-para {
    text-align: center;
  }
  .all-prod {
    margin: 0vh;
    text-align: center;
  }
  .cart-btn {
    margin-top: 2vh;
  }
  .left-side li {
    padding: 1vh;
    font-size: 2vh;
  }
  .right-side li {
    padding: 1vh;
    font-size: 2vh;
    cursor: pointer;
  }
  .about-title {
    font-size: 5vh;
  }
  .about-header {
    margin-top: 2vh;
    width: 80%;
    font-size: 2vh;
  }
  .about-image img {
    width: 100%;
    height: 20vh;
  }
  .home-nav li {
    padding: 2vh;
  }
}
